<?php
#########################################
# Скрипт онлайн игры "Симс"_____________#
# Автор: -=FеST=-_______________________#
# ICQ : 345-22-23 ______________________#
# Все права принадлежат автору(-=FeST=-)#
#########################################
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/adm_check.php';
include_once '../sys/inc/user.php';
$set['title']='The Sims';
include_once '../sys/inc/thead.php';
title();
err();
aut();

if(!isset($user)){
echo 'Вы неавторизованы';
include_once '../sys/inc/tfoot.php';
exit;
}

include_once 'inc/start.php';

	

$mode = intval($_GET['a']);

switch($mode)
{
default:
echo '<div class="'.$diz['post_1'].'"><img src="i/city_large.png" /> <b style="font-size:1.3em;">Кафе</b><b style="font-size:1.3em;float:right;">'.date("H:i",time()).'</b></div>
<div class="'.$diz['post_1'].'">
<b>Молодежное кафе</b><br/><br/>
<img src="i/money.png" /> Долларов : '.$sims_user['money'].'<br/>
<img src="i/credit.png" /> Кредитов : '.$sims_user['credits'].'<br/><br/>
<table>
<tr>
<td>
<img src="i/apple.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=1"><b> Яблоко</b></a> 300 $<br/>
+ 20 к питанию
</td>
</tr>
<tr>
<td>
<img src="i/kekc.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=2"><b> Кекс</b></a> 300 $<br/>
+ 10 к питанию, +10 к досугу
</td>
</tr>
<tr>
<td>
<img src="i/123.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=3"><b> Каппучино</b></a> 200 $<br/>
+ 10 к питанию, +10 к сну
</td>
</tr>
<tr>
<td>
<img src="i/1234.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=4"><b> Пончик</b></a> 600 $<br/>
+ 20 к питанию, + 20 к досугу
</td>
</tr>
<tr>
<td>
<img src="i/1231.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=5"><b> Кофе</b></a> 600 $<br/>
+ 20 к питанию, +20 к сну
</td>
</tr>
<tr>
<td>
<img src="i/12342.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=6"><b> Печенька</b></a> 6 кредитов<br/>
+ 100 к питанию, + 100 к досугу
</td>
</tr>
<tr>
<td>
<img src="i/2222.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=7"><b> Пицца</b></a> 6 кредитов<br/>
+ 100 к питанию, + 100 к бодрости
</td>
</tr>
<tr>
<td>
<img src="i/212.png" />
</td>
<td>
<a style="font-weight:bold;color:#6DF53B;text-decoration:underline" href="caffe.php?a=8"><b> Мороженое</b></a> 900 $<br/>
+ 30 к питанию, + 30 к досугу
</td>
</tr>

</table></div>';
break;

 case'1':
 
	if($sims_user['money']<300)
	echo 'У вас не хватает денег!';
	else
	{
		if(($sims_user['culinar']+20)>100)
		mysql_query("UPDATE `sims_user` SET `culinar`='100', `money`=`money`-300 WHERE `id_u`='".$user_id."'");
		else
		mysql_query("UPDATE `sims_user` SET `culinar`=`culinar`+20, `money`=`money`-300 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного аппетита =)</div>";
	}
	break;
	 case'2':
		
	if($sims_user['money']<300)
	echo 'У вас не хватает денег!';
	else
	{	
		$update = (($sims_user['culinar']+10)>100 ? 100 : $sims_user['culinar']+10);
		$update2 = (($sims_user['dosug']+10)>100 ? 100 : $sims_user['dosug']+10);
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`dosug`='".$update2."', `money`=`money`-300 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного аппетита =)</div>";
	}
	break;
	 case'3':
 
	if($sims_user['money']<200)
	echo 'У вас не хватает денег!';
	else
	{
		$update = (($sims_user['culinar']+10)>100 ? 100 : $sims_user['culinar']+10);
		$update2 = (($sims_user['bodrost']+10)>100 ? 100 : $sims_user['bodrost']+10);
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`bodrost`='".$update2."', `money`=`money`-200 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного апетита =)</div>";
	}
	break;
	 case'4':
 
	if($sims_user['money']<600)
	echo 'У вас не хватает денег!';
	else
	{
		$update = (($sims_user['culinar']+20)>100 ? 100 : $sims_user['culinar']+20);
		$update2 = (($sims_user['dosug']+20)>100 ? 100 : $sims_user['dosug']+20);
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`dosug`='".$update2."', `money`=`money`-600 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного апетита =)</div>";
	}
	break;
	 case'5':
 
	if($sims_user['money']<600)
	echo 'У вас не хватает денег!';
	else
	{
	$update = (($sims_user['culinar']+20)>100 ? 100 : $sims_user['culinar']+20);
		$update2 = (($sims_user['bodrost']+20)>100 ? 100 : $sims_user['bodrost']+20);
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`bodrost`='".$update2."', `money`=`money`-600 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного апетита =)</div>";
	}
	break;
	 case'6':
 
	if($sims_user['credits']<6)
	echo 'У вас не хватает кредитов!';
	else
	{
		$update = 100;
		$update2 = 100;
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`dosug`='".$update2."', `credits`=`credits`-6 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного апетита =)</div>";
	}
	break;
	 case'7':
 
	if($sims_user['credits']<6)
	echo 'У вас не хватает кредитов!';
	else
	{
		$update = 100;
		$update2 = 100;
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`bodrost`='".$update2."', `credits`=`credits`-6 WHERE `id_u`='".$user_id."'");
	echo "<div class='".$diz['msg']."'>Приятного апетита =)</div>";
	}
	break;
	 case'8':
 
	if($sims_user['money']<900)
	echo 'У вас не хватает денег!';
	else
	{
	$update = (($sims_user['culinar']+30)>100 ? 100 : $sims_user['culinar']+30);
		$update2 = (($sims_user['dosug']+30)>100 ? 100 : $sims_user['dosug']+30);
		
		mysql_query("UPDATE `sims_user` SET `culinar`='".$update."',`dosug`='".$update2."', `money`=`money`-900 WHERE `id_u`='".$user_id."'");
		echo "<div class='".$diz['msg']."'>Приятного апетита =)</div>";
	}
	break;
}
	
 
 
$sims->sims_life();
sims_ret($diz['ret'],'Город','city.php');
sims_ret($diz['ret'],'Назад','index.php');
include_once '../sys/inc/tfoot.php';
?>
